GccCCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.gcc.cross.GccCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc.cross
Class GccCCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineCCompiler
                      net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
                          net.sf.antcontrib.cpptasks.gcc.cross.GccCCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

    public final class GccCCompiler

extends GccCompatibleCCompiler

Adapter for the GCC C/C++ compiler

Author:
  Adam Murdoch

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`void` | `addImpliedArgs(java.util.Vector args, boolean debug, boolean multithreaded, boolean exceptions, LinkType linkType, java.lang.Boolean rtti, OptimizationEnum optimization)`
`Processor` | `changeEnvironment(boolean newEnvironment, org.apache.tools.ant.types.Environment env)`
`protected java.lang.Object` | `clone()`
`void` | `compile(CCTask task, java.io.File outputDir, java.lang.String[] sourceFiles, java.lang.String[] args, java.lang.String[] endArgs, boolean relentless, CommandLineCompilerConfiguration config, ProgressMonitor monitor)` Compiles a source file.
`protected Parser` | `createParser(java.io.File source)` Create parser to determine dependencies.
`static GccCCompiler` | `getCppInstance()` Gets c++ adapter
`java.io.File[]` | `getEnvironmentIncludePath()`
`static GccCCompiler` | `getG77Instance()` Gets g77 adapter
`static GccCCompiler` | `getGppInstance()` Gets gpp adapter
`java.lang.String` | `getIdentifier()` Retrieve an identifier that identifies the specific version of the compiler.
`static GccCCompiler` | `getInstance()` Gets gcc adapter
`Linker` | `getLinker(LinkType linkType)` Gets the linker that is associated with this processors
`int` | `getMaximumCommandLength()`

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.GccCompatibleCCompiler
`addIncludePath, addWarningSwitch, getDefineSwitch, getIncludeDirSwitch, getUndefineSwitch`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addIncludes, buildDefineArguments, createConfiguration, getArgumentCountPerInputFile, getCommand, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid`

Method Detail

### getCppInstance

    public static GccCCompiler getCppInstance()

  Gets c++ adapter

### getG77Instance

    public static GccCCompiler getG77Instance()

  Gets g77 adapter

### getGppInstance

    public static GccCCompiler getGppInstance()

  Gets gpp adapter

### getInstance

    public static GccCCompiler getInstance()

  Gets gcc adapter

### addImpliedArgs

    public void addImpliedArgs(java.util.Vector args,
                               boolean debug,
                               boolean multithreaded,
                               boolean exceptions,
                               LinkType linkType,
                               java.lang.Boolean rtti,
                               OptimizationEnum optimization)

  Overrides:
    `addImpliedArgs` in class `GccCompatibleCCompiler`

### changeEnvironment

    public Processor changeEnvironment(boolean newEnvironment,
                                       org.apache.tools.ant.types.Environment env)

  Specified by:
    `changeEnvironment` in interface `Processor`
  Overrides:
    `changeEnvironment` in class `AbstractProcessor`

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `AbstractProcessor`
  Throws:
    `java.lang.CloneNotSupportedException`

### compile

    public void compile(CCTask task,
                        java.io.File outputDir,
                        java.lang.String[] sourceFiles,
                        java.lang.String[] args,
                        java.lang.String[] endArgs,
                        boolean relentless,
                        CommandLineCompilerConfiguration config,
                        ProgressMonitor monitor)
                 throws org.apache.tools.ant.BuildException

  Description copied from class: `CommandLineCompiler`
  Compiles a source file.

  Overrides:
    `compile` in class `CommandLineCompiler`
  Throws:
    `org.apache.tools.ant.BuildException`

### createParser

    protected Parser createParser(java.io.File source)

  Create parser to determine dependencies. Will create appropriate parser (C++, FORTRAN) based on file extension.

  Overrides:
    `createParser` in class `CommandLineCCompiler`

### getEnvironmentIncludePath

    public java.io.File[] getEnvironmentIncludePath()

  Overrides:
    `getEnvironmentIncludePath` in class `GccCompatibleCCompiler`

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws org.apache.tools.ant.BuildException

  Description copied from interface: `Processor`
  Retrieve an identifier that identifies the specific version of the compiler. Compilers with the same identifier should produce the same output files for the same input files and command line switches.

  Specified by:
    `getIdentifier` in interface `Processor`
  Overrides:
    `getIdentifier` in class `CommandLineCompiler`
  Throws:
    `org.apache.tools.ant.BuildException`

### getLinker

    public Linker getLinker(LinkType linkType)

  Description copied from interface: `Processor`
  Gets the linker that is associated with this processors

### getMaximumCommandLength

    public int getMaximumCommandLength()

  Specified by:
    `getMaximumCommandLength` in class `CommandLineCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.